Opened 3 years ago

Last modified 3 years ago

#1364 assigned defect

Padre::Plugin::Vi - Crashed while loading

Reported by: bor Owned by: szabgab
Priority: critical Milestone:
Component: plugins Version: 0.92
Keywords: vim Cc:

Description

Padre::Plugin::Vi - Crashed while loading: Bareword "Padre::Constant::WXGTK" not allowed while "strict subs" in use at /usr/lib64/perl5/vendor_perl/5.12.4/Padre/Plugin/Vi.pm line 315.
Compilation failed in require at (eval 2421) line 1.
BEGIN failed--compilation aborted at (eval 2421) line 1.

Change History (6)

comment:1 Changed 3 years ago by bowtie

what is your Padre-Plugin-Vi version please

comment:2 Changed 3 years ago by bowtie

bor

can you edit Padre/Plugin/Vi?.pm to.

sub padre_interfaces {
    'Padre::Plugin' => '0.92';
}

and report back please
thanks

comment:3 Changed 3 years ago by bor

Ah, I confused - I installed 0.23
but saw what 0.23.0 exists (what difference?)
I want try it now

And
< 'Padre::Plugin' => 0.43

'Padre::Plugin' => 0.92

don't help me :(

comment:4 Changed 3 years ago by bor

0.23.0 do not installs any files for me :(
need research why

Last edited 3 years ago by bor (previous) (diff)

comment:5 Changed 3 years ago by bor

I found a problem - in 0.23.0 tarball we have 0.23 dir :*(

I installed 0.23.0 - issue still exists

comment:6 Changed 3 years ago by bowtie

  • Component changed from Vim plugin to plugins
  • Owner set to szabgab
  • Status changed from new to assigned
Note: See TracTickets for help on using tickets.